Bug 108419 - GTK3: Transparency spinbutton is too narrowed in image's toolbar
Summary: GTK3: Transparency spinbutton is too narrowed in image's toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.4.0.1 target:6.0.0 target:5.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2017-06-08 17:42 UTC by Xisco Faulí
Modified: 2017-06-27 08:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (1.28 KB, image/png)
2017-06-08 17:42 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-06-08 17:42:10 UTC
Created attachment 133919 [details]
screenshot

Steps to reproduce:
1. Open writer
2. Insert an image
3. Select the image and check the image's toolbar

Check screenshot

Reproduced in

Version: 5.5.0.0.alpha0+
Build ID: 6ab249ea6aecef5d3f35d624622a368061cad9c3
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-06-08 17:44:36 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-10-14 14:18:19 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-10-17 13:57:36 (GMT)
commit	70f7697c4243739c28feaa33b091f6c64a8356cb (patch)
tree	1944f861ed8d005d5543a6f4a99b0236c21136f6
parent	148ca1024379e3712df4d855595df9bb46cdb1c4 (diff)
gtk3: select old/new gtk theme behaviour etc at runtime
Change-Id: Ie09419049e3d839315f4fc8a937f0dde74688d98
Reviewed-on: https://gerrit.libreoffice.org/29969
Tested-by: Jenkins <ci@libreoffice.org>
Reviewed-by: Caolán McNamara <caolanm@redhat.com>
Tested-by: Caolán McNamara <caolanm@redhat.com>

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2017-06-16 08:48:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ea4515cf252069ccbc22847ab5f8262a8de0243&h=libreoffice-5-4

Resolves: tdf#108419 use spinfield preferred size as transparency widget size

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-06-16 08:48:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9e4502f0e393d2bc2810488b3ebb0a5c23038436

Resolves: tdf#108419 use spinfield preferred size as transparency widget size

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-06-27 08:49:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=459914cd491598c32cad203fed6c7b90491f6a52&h=libreoffice-5-3

Resolves: tdf#108419 use spinfield preferred size as transparency widget size

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.